%global spec_ver 1.0
%global spec_name geronimo-validation_%{spec_ver}_spec

Name:           geronimo-validation
Version:        1.1
Release:        %mkrel 3
Summary:        Geronimo implementation of JSR 303
Group:          Development/Java
License:        ASL 2.0
URL:            http://apache.org/
# svn export https://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-validation_1.0_spec-1.1/
# tar caf geronimo-validation_1.0_spec-1.1.tar.xz geronimo-validation_1.0_spec-1.1
Source0:        %{spec_name}-%{version}.tar.xz
Patch0:         %{name}-build.patch
BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  geronimo-parent-poms
BuildRequires:  geronimo-osgi-support
Requires:       jpackage-utils
Requires:       java >= 0:1.6.0

Obsoletes:      geronimo-validation-1.0-api
Provides:       geronimo-validation-1.0-api = %version-%release

%description
This is the Geronimo implementation of JSR-303, the Bean
Validation API specification.

%files
%doc LICENSE NOTICE
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar

#--------------------------------------------------------------------

%package javadoc
Summary:        Javadoc for %{name}
Requires:       jpackage-utils
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%files javadoc
%doc LICENSE NOTICE
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{spec_name}-%{version}
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -pm 0644 target/%{spec_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 0755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 0644 pom.xml \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom 
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

%add_maven_depmap JPP-%{name}.pom %{name}.jar -a javax.validation:validation-api



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 351476
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 25 2012 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 263472
- Obsoletes geronimo-validation-1.0-api as this is the same package

* Thu Jun 21 2012 dmorgan <dmorgan> 1.1-1.mga3
+ Revision: 262526
- imported package geronimo-validation

